import { ExceptionHandler, HttpContext } from '@adonisjs/core/http';
export declare const PG_CODE_UNIQUENESS_VIOLATION = "23505";
export declare const PG_CODE_NOT_NULL_VIOLATION = "23502";
export default class AKHttpExceptionHandler extends ExceptionHandler {
    protected debug: boolean;
    resolve(error: unknown, ctx: HttpContext): any;
    handle(error: unknown, ctx: HttpContext): Promise<any>;
    report(error: unknown, ctx: HttpContext): Promise<void>;
}
